Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002554TestLinkNew Featurepublic2009-05-29 21:232010-05-01 20:34
Reporterprzemilke 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.9 Beta 2 
Summary0002554: Usefull colors in usersAssign section
DescriptionI wrote a little changes in usersAssign.php and usersAssign.tpl. Code give colors to general roles, the same as usersViev (look at the attached screen). Its much more easier to assign user to test plan
Additional InformationScreen in attachement
usersAssign.php and usersAssign.tpl in attachement
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesrar file icon users.rar [^] (59,221 bytes) 2009-05-29 21:23

- Relationships

-  Notes
(0007097)
amitkhullar (reporter)
2009-05-30 15:09

cant find any use of this...
(0007101)
przemilke (reporter)
2009-06-01 14:39

OK. Lets imagine yourself situation with over 50 users (I've 80 at the moment). There is 5 teams. One team reach 10 users. Admin assign leader of one those teams to new test plan. You are the leader - you have to assign that test plan to five people from your team. Lets find them... Its not easy.

When you will organize teams with roles color and implement my solution there is simple situation for a leader. He will only choose workers from team color and there will be no mistake.

I think colors in that section are more usefull than in UsersView section. Lets imagine another situation - try to assign 15 new test plans to 3 from 70 users. Do you feel the difference right now?
(0008358)
fman (administrator)
2009-11-30 00:26

Controlled by:
// ENABLED: on features that assign user role to test projects and test plan, colour user name
// according GLOBAL role
// DISABLED: do not color [STANDARD BEHAVIOUR]
$tlCfg->gui->usersAssignGlobalRoleColoring = DISABLED;

- Issue History
Date Modified Username Field Change
2009-05-29 21:23 przemilke New Issue
2009-05-29 21:23 przemilke File Added: users.rar
2009-05-30 15:09 amitkhullar Note Added: 0007097
2009-06-01 14:39 przemilke Note Added: 0007101
2009-11-29 17:07 fman Status new => assigned
2009-11-29 17:07 fman Assigned To => fman
2009-11-30 00:26 fman Note Added: 0008358
2009-11-30 00:26 fman Status assigned => resolved
2009-11-30 00:26 fman Fixed in Version => 1.9 (DEV)
2009-11-30 00:26 fman Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker